$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER ID, MAJOR, MINOR
      INTEGER FG_MEMORY, FG_SVGAINIT

      CHARACTER*35 DESCRIPTION(0:27)
      DATA DESCRIPTION/
     +   'cannot be determined',
     +   'VESA',
     +   'Ahead A',
     +   'Ahead B',
     +   'ATI 18800',
     +   'ATI 18800-1',
     +   'ATI 28800/38800/68800/88800',
     +   'Chips & Technologies 82c451/455/456',
     +   'Chips & Technologies 82c452',
     +   'Chips & Technologies 82c453',
     +   'Genoa 6000 series',
     +   'Oak OTI-067',
     +   'Paradise PVGA1a',
     +   'Paradise WD90C00/WD90C10',
     +   'Paradise WD90C11/30/31/33',
     +   'Trident 8800',
     +   'Trident 8900/9000',
     +   'Tseng ET3000',
     +   'Tseng ET4000',
     +   'Video7',
     +   'Cirrus Logic 5400 series',
     +   'S3',
     +   'NCR 77C22/77C32',
     +   'Oak OTI-077',
     +   'Oak OTI-087',
     +   ' ',
     +   'Cirrus Logic 6400 series',
     +   'Avance Logic 2000 series'/

      CALL FG_INITPM
      ID = FG_SVGAINIT(0)
      CALL FG_SVGAVER (MAJOR, MINOR)
      WRITE(6,1000) DESCRIPTION(ID), FG_MEMORY(), MAJOR, MINOR
      
1000  FORMAT(' SVGA chipset:  ',A,/,
     +       ' video memory:  ',I4,' kilobytes',/,
     +       ' SVGA version:  ',I1,'.',I2.2)

      STOP ' '
      END
